@font-face {
	font-family: 'Grenze';
	font-display: swap;
	font-weight: 400;
	font-stretch: normal;
	font-style: normal;
	src: url('/fonts/Grenze-Regular.woff2') format('woff2');
}

@font-face {
	font-family: 'Grenze';
	font-display: swap;
	font-weight: 400;
	font-stretch: normal;
	font-style: italic;
	src: url('/fonts/Grenze-Italic.woff2') format('woff2');
}

@font-face {
	font-family: 'Grenze';
	font-display: swap;
	font-weight: 700;
	font-stretch: normal;
	font-style: normal;
	src: url('/fonts/Grenze-Bold.woff2') format('woff2');
}

@font-face {
	font-family: 'Grenze';
	font-display: swap;
	font-weight: 700;
	font-stretch: normal;
	font-style: italic;
	src: url('/fonts/Grenze-BoldItalic.woff2') format('woff2');
}

@font-face {
	font-family: 'Iosevka';
	font-display: swap;
	font-weight: 400;
	font-stretch: normal;
	font-style: normal;
	src: url('/fonts/Iosevka-Custom-Regular.woff2') format('woff2');
}

*, *::before, *::after {
  box-sizing: border-box;
}

html {
	font-family: 'Grenze', serif;
	font-size: 20px;
	line-height: 1.3;
	background-image: url('/img/bg.jpg');
	background-color: rgb(223, 197, 160);
	background-position: center;
	margin: 0;
}

body {
	padding: 0 16px;
	max-width: 600px;
	margin: 0 auto;
	color: rgb(10, 10, 10);
}

main, .main {
	border: 1px solid rgb(20 20 20 / 0.2);
	padding: 40px 0;
	border-top: 0;
	border-bottom: 0;
	height: 100%;
	min-height: 100vh;
}

p, h1, h2, pre, ol, ul, .table, .post-info {
	margin-left: -40px;
	margin-right: -40px;
	margin-bottom: 1.3rem;
	margin-top: 0;
	padding: 0 40px;
	border: 1px solid rgb(20 20 20 / 0.2);
	border-left: 0;
	border-right: 0;
}

p, h1, h2 {
	text-align: justify;
	hyphens: auto;
}

code {
	hyphens: initial;
}

h1 {
	margin-top: 40px;
	font-size: 30px;
	font-weight: bold;
	color: rgb(177, 2, 37);
}

h2 {
	font-size: 1.2rem;
	font-weight: bold;
}

pre {
	margin-top: calc(1.3rem + 8px);
	margin-bottom: calc(1.3rem + 8px);
}

ol, ul {
	list-style-type: none;
}

@media only screen and (max-width: 700px) {
	p, h1, h2, pre, ol, ul, .table, .post-info {
		margin-left: -16px;
		margin-right: -16px;
		padding: 0 16px;
	}
}

a {
	color: rgb(21, 70, 160);
	text-decoration: underline;
	text-decoration-thickness: 2px;
}

code {
	font-family: 'Iosevka', monospace;
	font-size: 16px;
}

pre code {
	display: block;
	line-height: initial;
	border: 20px solid transparent;
	border-image: url('/img/border.webp');
	border-image-slice: 74 fill;
	border-image-repeat: round;
	color: rgba(255, 235, 175, 0.95);
	margin: -8px;
	overflow: auto;
}

code .comment {
	color: rgb(255, 0, 51);
}

figure {
	max-width: calc(100% + 32px);
	margin: 0 -16px;
}

figcaption {
	padding: 0 16px;
	font-style: italic;
	font-size: smaller;
	text-align: center;
}

img {
	max-width: 100%;
	height: auto;
}

table {
	border-collapse: collapse;
}

.table {
	overflow-x: scroll;
	overflow-y: hidden;
}

.table td,
.table th {
	padding: 0 6px;
	border: 1px dotted currentColor;
	border-top: 0;
	border-right: 0;
}

.table td:first-child,
.table th:first-child {
	border-left: 0;
}

.table tr:last-child td {
	border-bottom: 0;
}

.post-info {
	display: grid;
	grid-template-columns: auto 1fr;
	column-gap: 10px;
}

.post-info__image {
	width: 48px;
	height: 48px;
	margin: -2px;
	grid-row: 1 / span 2;
	border: 10px solid;
	border-image: url('/img/border.webp');
	border-image-slice: 36;
	border-image-repeat: round;
}

.post-info__image img {
	outline: 2px solid rgb(10, 10, 10);
}

.post-info__author {
	line-height: 1;
	font-weight: bold;
}

.post-info__time {
	line-height: 1;
	font-style: italic;
}

.nav-link {
	color: inherit;
	text-decoration: none;
	display: block;
	margin-bottom: 16px;
}

.nav {
	margin-top: 40px;
	display: flex;
	gap: 16px;
	justify-content: space-around;
}